
#include <rpcrts.h>

typedef    rpc_char rpc_stype_0[81];

rpc_handle h_cback2;

display_line(line)
    rpc_stype_0 line;

{   rpc_message *rpc_p_buf;
    register rpc_integer rpc_a;
    register rpc_integer rpc_b;

    c_begin(rpc_p_buf, h_cback2, /*vers=*/4565, /*proc=*/1);
   for (rpc_b = 0; rpc_b <= 80; rpc_b++)
   if (line[rpc_b] == '\0') break;
   pck_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++) {
   pck_char(rpc_p_buf, line[rpc_a]);
   }
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
    c_call(h_cback2, rpc_p_buf, -1);
    c_dispose(rpc_p_buf);
    }

open_cback2()
{   rpc_status       status;

    c_open(status, h_cback2, "cback2                                  ");
    c_report_error(status);
    }
close_cback2()
{   rpc_status       status;

    c_close(status, h_cback2);
    c_report_error(status);
    }
